@use "../../styles/variables/colors.scss";

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 56px;
  z-index: 99;
  background-color: colors.$bg_brand;
  border-bottom: 1px solid rgba(colors.$white, colors.$text-opacity);

  &__logo {
    display: flex;
    align-items: center;
    margin-left: 16px;
    flex: 1;
  }

  &__input-label {
    margin-left: 12px;
    height: 40px;
    width: auto;
    border-radius: 50px;
    background-color: colors.$bg-input;
    display: flex;
    align-items: center;
  }

  &__nav {
    width: 100%;
    margin: 0 20px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
  }

  &__nav-list {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    list-style: none;
    gap: 10px;
  }
  
  &__nav-list-item {
    max-width: 130px;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    cursor: pointer;
  }

  &__nav-list-item:hover {
    background-color: colors.$link_hover;
    border-radius: 5px;
  }


  &__nav-list-link {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    padding: 10px;
    transition: background-color 0.3s ease;
    
    svg {
      width: 24px;
      height: 24px;
    }

    &.more {
      display: none;
    }
  }

  // &__nav-list-link:hover {
  //   width: 100%;
  //   display: flex;
  //   flex-direction: row;
  //   justify-content: center;
  //   align-items: center;
  //   background-color: colors.$link_hover;
  // }

  &__nav-list-link:focus {
    transition: none;
  }

  &__acount-list {
    display: flex;
    align-items: center;
    list-style: none;
    padding-right: 16px;
    flex: 1;
    justify-content: flex-end;

    .header__acount-list-item {
      cursor: pointer;
      a{
        cursor: pointer;
      }
      button {
        cursor: pointer;
      }
    }
  }

  &__account-menu {
    position: relative;
  }

  &__acount-list-item:not(:last-child) {
    margin-right: 8px;
  }


  &__acount-btn {
    background-color: rgba(colors.$white, colors.$btn-opacity);
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;

    border: 0px;
    transition: background-color 0.3s ease;
  }

  &__acount-btn:hover {
    background-color: rgba(colors.$white, colors.$text-opacity);
  }

  .active {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border-radius: 0;
    border-bottom: 2px solid #2374e1;

    svg {
      fill: #2374e1;
    }

    &.more svg path {
      stroke: #2374e1;
    }
  }

  .active:hover {
    background-color: colors.$bg_brand;
    transition: background-color 0s ease;
  }
}

@media screen and (max-width: 1200px) {
  .header {
    &__input-label {
      position: relative;
    }

    &__nav {
      justify-content: flex-start;
    }
  }
}

@media screen and (max-width: 700px) {
  .header {
    &__logo {
      flex: 0;
    }

    &__acount-list {
      flex: 0;
    }

    &__nav-list {
      display: none;
    }
  }
}

.drop-down.header__user-dropdown {
  top: 100%;
  right: 1%;
  left: auto;
  padding: 10px 40px 10px 10px;

  &::before {
    top: -8%;
    right: 0;
    transform: none;
    border-right: 25px solid #242526;
    border-top: 20px solid transparent;
    border-bottom: 0;
  }

  .header-profile__drop-down-item {

    .dropdown-btn__icon {
      width: 36px;
      height: 36px;
    }
  
    svg,
    img {
      width: 36px;
      height: 36px;
    }
  }  
}

.header-user__avatar-container {
  width: 40px;
  height: 40px;

  overflow: hidden;
  box-sizing: content-box;
  border-radius: 50%;

  &:hover {
    filter: brightness(1.1) contrast(0.8);
  }

  & .header-user__avatar-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.header-profile__avatar-img {
  width: 100%;
  height: 100%;
  overflow: hidden;
  box-sizing: content-box;
  border-radius: 50%;
  object-fit: cover;

  &:hover {
    filter: brightness(1.1) contrast(0.8);
  }

  & .header-profile__avatar-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}
